# Generated by Django 3.2 on 2022-05-03 10:26

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0011_auto_20220503_0723'),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_totaistipocomunidadeporestado;
            CREATE OR REPLACE VIEW relatorios_totaistipocomunidadeporestado AS
            SELECT mt.id,
                   mt.nome,
                   me.nome estado,
                   me.uf uf,
                   count(t.id) AS qtd_comunidadesporestado,
                   sum(t.qtde_familias) as qtd_familiasporestado
            FROM main_territorio t
                     JOIN main_territorio_tipos_comunidade mttc ON t.id = mttc.territorio_id
                     JOIN main_tipocomunidade mt ON mttc.tipocomunidade_id = mt.id
                     JOIN main_municipio mm ON t.municipio_referencia_id = mm.id
                     JOIN main_estado me ON mm.estado_id = me.id
            WHERE
                t.deleted IS NULL AND
                t.status_id = 4 AND
                t.teste is false
            GROUP BY mt.id, mt.nome, me.nome, me.uf
            ORDER BY qtd_comunidadesporestado DESC, mt.id;
            """),

        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_totaisconflitosporestado;
            CREATE OR REPLACE VIEW relatorios_totaisconflitosporestado AS
            SELECT tc.id,
                   tc.nome,
                   me.nome estado,
                   me.uf uf,
                   count(cf.id) AS qtd_conflitosporestado
            FROM main_conflito cf
                     JOIN main_tipoconflito tc ON cf.tipo_conflito_id = tc.id
                     JOIN main_territorio t ON cf.territorio_id = t.id AND t.status_id = 4 AND t.teste is false
                     JOIN main_municipio mm ON t.municipio_referencia_id = mm.id
                     JOIN main_estado me ON mm.estado_id = me.id
            WHERE cf.deleted IS NULL
            GROUP BY tc.id, tc.nome, me.nome, me.uf
            ORDER BY qtd_conflitosporestado DESC, tc.id;
            """),

        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_totaisareasdeusoporestado;
            CREATE OR REPLACE VIEW relatorios_totaisareasdeusoporestado AS
            SELECT ta.id,
                   ta.nome,
                   me.nome estado,
                   me.uf uf,
                   count(au.id) AS qtd_areasdeusoporestado
            FROM main_areadeuso au
                     JOIN main_tipoareadeuso ta ON au.tipo_area_de_uso_id = ta.id
                     JOIN main_territorio t ON au.territorio_id = t.id AND t.status_id = 4 AND t.teste is false
                     JOIN main_municipio mm ON t.municipio_referencia_id = mm.id
                     JOIN main_estado me ON mm.estado_id = me.id
            WHERE au.deleted IS NULL
            GROUP BY ta.id, ta.nome, me.nome, me.uf
            ORDER BY qtd_areasdeusoporestado DESC, ta.id;
            """),
    ]
